%global commit  ca6fc96a76d430c753b56ec2a4ed2a3eced0dac3
%global date    20150202

%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global module jpype

Name:           %{module}-py3
Version:        0
Release:        0.2.%{date}git%{shortcommit}%{?dist}
Summary:        JPype allows Python3 programs full access to Java class libraries

# GPLv2 for files from JDK (jni_md.h) and Python (capsulethunk.h)
License:        ASL 2.0 and GPLv2
URL:            https://github.com/tcalmant/%{name}
Source0:        %{url}/archive/%{commit}/%{name}-%{commit}.tar.gz

# available sitearch-specific for Python 3 only!
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  java-devel
# need ant for tests execution
BuildRequires:  ant


%description
JPype - Python 3

From the original Website:
 JPype is an effort to allow python programs full access to java class
 libraries. This is achieved not through re-implementing Python, as
 Jython/JPython has done, but rather through interfacing at the native
 level in both Virtual Machines. Eventually, it should be possible to
 replace Java with python in many, though not all, situations.
JSP, Servlets, RMI servers and IDE plugins are good candidates.

This GitHub fork is a Python 3 version of jPype.
It does not support Python 2.


%prep
%setup -qn%{name}-%{commit}
# sanify line delimiters
find . -name '*.py' -or -name '*.java' -or -name '*.TXT' -or -name '*.sh' |xargs sed -i "s|\r||g"

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
find %{buildroot}%{python3_sitearch} -name '*.so' |xargs chmod 0755


%check
pushd tests
ant test
# fake a module installation
export PYTHONPATH=%{buildroot}%{python3_sitearch}
%{__python3} testsuite.py
popd

 
%files
%license LICENSE.txt
%doc README.rst
%doc examples/
%doc tests/
%{python3_sitearch}/*


%changelog
* Thu Apr 23 2015 Raphael Groner <projects.rg@smart.ms> - 0-0.2.20150202gitca6fc96
- add GPLv2 for bundled source files
- remove wrong sitearch macro
- make tests work

* Thu Apr 02 2015 Raphael Groner <projects.rg@smart.ms> - 0-0.1.20150202gitca6fc96
- initial
